package com.uas.exception;

import com.uas.entity.ErrorMsg;

/**
 * 系统程序执行异常
 * 
 * @author yingp
 * 
 */
public class SystemException extends RuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4218425517031998401L;
	
	private ErrorMsg errorMsg;

	public SystemException() {
	}

	public SystemException(String paramString) {
		super(paramString);
	}
	
	public SystemException(ErrorMsg errorMsg) {
		super(errorMsg.getErrDesc());
		this.errorMsg = errorMsg;
	}

	public SystemException(ErrorMsg errorMsg, Throwable paramThrowable) {
		super(errorMsg.getErrDesc(), paramThrowable);
		this.errorMsg = errorMsg;
	}

	public SystemException(Throwable paramThrowable) {
		super(paramThrowable);
	}

	public ErrorMsg getErrorMsg() {
		return errorMsg;
	}

	public void setErrorMsg(ErrorMsg errorMsg) {
		this.errorMsg = errorMsg;
	}
}
